diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/JarEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryJar.java
similarity index 82%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/JarEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryJar.java
index 567fc8e79..b9e61263f 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/JarEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryJar.java
@@ -3,11 +3,11 @@ package net.minecraft.client.gui.modelviewer.categories.entries.block;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.FlowerJarBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlowerJar;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.DisplayChunk;
@@ -15,8 +15,8 @@ import net.minecraft.core.world.chunk.DisplayChunk;
 import java.util.ArrayList;
 import java.util.List;
 
-public class JarEntry extends BlockEntry{
-    public JarEntry() {
+public class BlockEntryJar extends BlockEntry{
+    public BlockEntryJar() {
         super(Blocks.JAR_GLASS);
     }
 
@@ -30,7 +30,7 @@ public class JarEntry extends BlockEntry{
         TextCycleElement<Integer> jarCycle = new TextCycleElement<Integer>(parentScreen, mc.font, - 120, 0, 120, 20, 0) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleBlockId(current, offset);
+                return ScreenModelViewer.cycleBlockId(current, offset);
             }
 
             @Override
@@ -51,7 +51,7 @@ public class JarEntry extends BlockEntry{
         };
         jarCycle.textField.setPrefaceText("Jar: ");
         jarCycle.textField.setPlaceholder("Jar ID");
-        jarCycle.setOnValueChanged(() -> ((FlowerJarBlockEntity)DisplayChunk.displayBlockEntity).flowerInPot = jarCycle.getCurrentElement());
+        jarCycle.setOnValueChanged(() -> ((TileEntityFlowerJar)DisplayChunk.displayTileEntity).flowerInPot = jarCycle.getCurrentElement());
 
         return new ArrayList<ButtonElement>(){{add(jarCycle);}};
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/MobSpawnerEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
similarity index 84%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/MobSpawnerEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
index fa872f3e8..a660f5543 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/MobSpawnerEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryMobSpawner.java
@@ -5,7 +5,7 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListSelectorButtonElement;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.MobSpawnerBlockEntity;
+import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
@@ -14,14 +14,14 @@ import net.minecraft.core.world.chunk.DisplayChunk;
 import java.util.ArrayList;
 import java.util.List;
 
-public class MobSpawnerEntry extends BlockEntry{
-    public MobSpawnerEntry() {
+public class BlockEntryMobSpawner extends BlockEntry{
+    public BlockEntryMobSpawner() {
         super(Blocks.MOBSPAWNER);
     }
 
     @Override
     public void onTick(World world, int meta) {
-        MobSpawnerBlockEntity spawner = (MobSpawnerBlockEntity) DisplayChunk.displayBlockEntity;
+        TileEntityMobSpawner spawner = (TileEntityMobSpawner) DisplayChunk.displayTileEntity;
         spawner.yaw2 = spawner.yaw;
         double xPos = (double) spawner.x + spawner.worldObj.rand.nextFloat();
         double yPos = (double) spawner.y + spawner.worldObj.rand.nextFloat();
@@ -45,7 +45,7 @@ public class MobSpawnerEntry extends BlockEntry{
                 return element;
             }
         };
-        dispatcherIds.setOnValueChanged(() -> ((MobSpawnerBlockEntity)DisplayChunk.displayBlockEntity).setMobId(dispatcherIds.getCurrentElement()));
+        dispatcherIds.setOnValueChanged(() -> ((TileEntityMobSpawner)DisplayChunk.displayTileEntity).setMobId(dispatcherIds.getCurrentElement()));
         return new ArrayList<ButtonElement>(){{add(dispatcherIds);}};
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/SignEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntrySign.java
similarity index 86%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/SignEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntrySign.java
index e8282894e..a5f5394d1 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/SignEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntrySign.java
@@ -5,15 +5,15 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.DisplayChunk;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class SignEntry extends BlockEntry{
-    public SignEntry(Block block) {
+public class BlockEntrySign extends BlockEntry{
+    public BlockEntrySign(Block block) {
         super(block);
     }
 
@@ -24,7 +24,7 @@ public class SignEntry extends BlockEntry{
 
     @Override
     public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, World world, int meta) {
-        SignBlockEntity sign = (SignBlockEntity)DisplayChunk.displayBlockEntity;
+        TileEntitySign sign = (TileEntitySign)DisplayChunk.displayTileEntity;
         ListenerTextFieldElement line1 = new ListenerTextFieldElement(parentScreen, mc.font, -120, 0,                       120, 20, "", "Line 1");
         ListenerTextFieldElement line2 = new ListenerTextFieldElement(parentScreen, mc.font, -120, line1.yPosition + 21,    120, 20, "", "Line 2");
         ListenerTextFieldElement line3 = new ListenerTextFieldElement(parentScreen, mc.font, -120, line2.yPosition + 21,    120, 20, "", "Line 3");
@@ -49,6 +49,6 @@ public class SignEntry extends BlockEntry{
 
     @Override
     public void onOpen(World world, int meta) {
-        DisplayChunk.setDisplayTileEntity(world, new SignBlockEntity());
+        DisplayChunk.setDisplayTileEntity(world, new TileEntitySign());
     }
 }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntry.java
index ed91ab52f..896f3581a 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntry.java
@@ -9,7 +9,7 @@ import net.minecraft.core.world.World;
 import java.util.List;
 
 public abstract class EntityEntry<T extends Entity>{
-    public static final EntityEntry<Entity> blankEntry = new BlankEntry();
+    public static final EntityEntry<Entity> blankEntry = new EntityEntryBlank();
     public EntityEntry(){}
     public abstract void onTick(T entity);
     public abstract List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, T entity);
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityArmoredZombieEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryArmoredZombie.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityArmoredZombieEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryArmoredZombie.java
index 1b5d031e0..a93dcceba 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityArmoredZombieEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryArmoredZombie.java
@@ -4,21 +4,21 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
-import net.minecraft.core.entity.monster.ZombieArmoredMob;
+import net.minecraft.core.entity.monster.MobZombieArmored;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityArmoredZombieEntry extends EntityEntry<ZombieArmoredMob>{
+public class EntityEntryArmoredZombie extends EntityEntry<MobZombieArmored>{
     @Override
-    public void onTick(ZombieArmoredMob entity) {
+    public void onTick(MobZombieArmored entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, ZombieArmoredMob armoredZombie) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobZombieArmored armoredZombie) {
         List<ButtonElement> buttonList = new ArrayList<>();
         ListenerButtonElement swordButton = new ListenerButtonElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.armored_zombie.button.sword", false));
         swordButton.setActionListener(() -> {
@@ -31,8 +31,8 @@ public class EntityArmoredZombieEntry extends EntityEntry<ZombieArmoredMob>{
     }
 
     @Override
-    public ZombieArmoredMob getEntityInstance(Minecraft mc, World world) {
-        ZombieArmoredMob armoredZombie = new ZombieArmoredMob(world);
+    public MobZombieArmored getEntityInstance(Minecraft mc, World world) {
+        MobZombieArmored armoredZombie = new MobZombieArmored(world);
         armoredZombie.setHoldingSword(false);
         return armoredZombie;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/BlankEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBlank.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/BlankEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBlank.java
index 0067a45f5..273918123 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/BlankEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBlank.java
@@ -8,7 +8,7 @@ import net.minecraft.core.world.World;
 
 import java.util.List;
 
-public class BlankEntry extends EntityEntry<Entity> {
+public class EntityEntryBlank extends EntityEntry<Entity> {
     @Override
     public void onTick(Entity entity) {
 
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityBoatEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBoat.java
similarity index 90%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityBoatEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBoat.java
index 882226a60..8f6299068 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityBoatEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryBoat.java
@@ -4,7 +4,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
-import net.minecraft.core.block.entity.FlagBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
@@ -12,7 +12,7 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityBoatEntry extends EntityEntry<BoatEntity>{
+public class EntityEntryBoat extends EntityEntry<BoatEntity>{
     @Override
     public void onTick(BoatEntity entity) {
 
@@ -24,7 +24,7 @@ public class EntityBoatEntry extends EntityEntry<BoatEntity>{
         flagButton.setActionListener(() -> {
             boolean flag;
             if (entity.tileEntityFlag == null){
-                entity.tileEntityFlag = new FlagBlockEntity();
+                entity.tileEntityFlag = new TileEntityFlag();
                 flag = true;
             } else {
                 entity.tileEntityFlag = null;
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityCreeperEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryCreeper.java
similarity index 82%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityCreeperEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryCreeper.java
index c6095b9e4..63a56902b 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityCreeperEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryCreeper.java
@@ -4,21 +4,21 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
-import net.minecraft.core.entity.monster.CreeperMob;
+import net.minecraft.core.entity.monster.MobCreeper;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityCreeperEntry extends EntityEntry<CreeperMob>{
+public class EntityEntryCreeper extends EntityEntry<MobCreeper>{
     @Override
-    public void onTick(CreeperMob entity) {
+    public void onTick(MobCreeper entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, CreeperMob creeper) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobCreeper creeper) {
         List<ButtonElement> buttonList = new ArrayList<>();
         boolean isCharged = creeper.getPowered();
         ListenerButtonElement chargedToggle = new ListenerButtonElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.creeper.button.charged", isCharged));
@@ -33,8 +33,8 @@ public class EntityCreeperEntry extends EntityEntry<CreeperMob>{
     }
 
     @Override
-    public CreeperMob getEntityInstance(Minecraft mc, World world) {
-        return new CreeperMob(world);
+    public MobCreeper getEntityInstance(Minecraft mc, World world) {
+        return new MobCreeper(world);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/DispatcherEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
similarity index 87%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/DispatcherEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
index 420c7c293..fcb9ba12f 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/DispatcherEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryDispatcher.java
@@ -9,9 +9,9 @@ import net.minecraft.core.world.World;
 
 import java.util.List;
 
-public class DispatcherEntry extends EntityEntry<Entity> {
+public class EntityEntryDispatcher extends EntityEntry<Entity> {
     public final String id;
-    public DispatcherEntry(String dispatcherId){
+    public EntityEntryDispatcher(String dispatcherId){
         id = dispatcherId;
     }
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFallingSandEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFallingBlock.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFallingSandEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFallingBlock.java
index 076039760..a3882b080 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFallingSandEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFallingBlock.java
@@ -3,28 +3,28 @@ package net.minecraft.client.gui.modelviewer.categories.entries.entity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.block.Block;
 
-import net.minecraft.core.entity.FallingBlockEntity;
+import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityFallingSandEntry extends EntityEntry<FallingBlockEntity>{
+public class EntityEntryFallingBlock extends EntityEntry<EntityFallingBlock>{
     @Override
-    public void onTick(FallingBlockEntity entity) {
+    public void onTick(EntityFallingBlock entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, FallingBlockEntity sand) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, EntityFallingBlock sand) {
         TextCycleElement<Integer> blockIdCycle = new TextCycleElement<Integer>(parentScreen, mc.font, - 120, 0, 120, 20, sand.carriedBlock.blockId) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleBlockId(current, offset);
+                return ScreenModelViewer.cycleBlockId(current, offset);
             }
 
             @Override
@@ -48,8 +48,8 @@ public class EntityFallingSandEntry extends EntityEntry<FallingBlockEntity>{
     }
 
     @Override
-    public FallingBlockEntity getEntityInstance(Minecraft mc, World world) {
-        return new FallingBlockEntity(world);
+    public EntityFallingBlock getEntityInstance(Minecraft mc, World world) {
+        return new EntityFallingBlock(world);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFireflyEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFirefly.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFireflyEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFirefly.java
index 0206ac0e8..78824aa36 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityFireflyEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryFirefly.java
@@ -5,7 +5,7 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListSelectorButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 
@@ -13,9 +13,9 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class EntityFireflyEntry extends EntityEntry<FireflyClusterMob>{
+public class EntityEntryFirefly extends EntityEntry<MobFireflyCluster>{
     @Override
-    public void onTick(FireflyClusterMob fireflyCluster) {
+    public void onTick(MobFireflyCluster fireflyCluster) {
         Random random = fireflyCluster.world.rand;
         double dy = (random.nextFloat() * 2F - 1F) * (fireflyCluster.bbHeight);
         double dx = (random.nextFloat() * 2F - 1F) * (fireflyCluster.bbWidth);
@@ -27,7 +27,7 @@ public class EntityFireflyEntry extends EntityEntry<FireflyClusterMob>{
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, FireflyClusterMob fireflyCluster) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobFireflyCluster fireflyCluster) {
         List<ButtonElement> buttonList = new ArrayList<>();
         ListenerSliderElement slider = new ListenerSliderElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.fireflycluster.slider.size", 0), 0f);
         slider.setOnValueChanged(() -> {
@@ -35,9 +35,9 @@ public class EntityFireflyEntry extends EntityEntry<FireflyClusterMob>{
             slider.displayString = I18n.getInstance().translateKeyAndFormat("model.category.entity.fireflycluster.slider.size", fireflyCluster.getClusterSize());
         });
 
-        ListSelectorButtonElement<FireflyClusterMob.FireflyColor> button = new ListSelectorButtonElement<FireflyClusterMob.FireflyColor>(-1, - 120, slider.yPosition + 21, 120, 20, I18n.getInstance().translateKey("model.category.entity.fireflycluster.button.cycle"), FireflyClusterMob.FireflyColor.fireFlyColors.values(), FireflyClusterMob.FireflyColor.GREEN) {
+        ListSelectorButtonElement<MobFireflyCluster.FireflyColor> button = new ListSelectorButtonElement<MobFireflyCluster.FireflyColor>(-1, - 120, slider.yPosition + 21, 120, 20, I18n.getInstance().translateKey("model.category.entity.fireflycluster.button.cycle"), MobFireflyCluster.FireflyColor.fireFlyColors.values(), MobFireflyCluster.FireflyColor.GREEN) {
             @Override
-            public String getNameFromElement(FireflyClusterMob.FireflyColor element) {
+            public String getNameFromElement(MobFireflyCluster.FireflyColor element) {
                 return element.getParticleName();
             }
         };
@@ -48,8 +48,8 @@ public class EntityFireflyEntry extends EntityEntry<FireflyClusterMob>{
     }
 
     @Override
-    public FireflyClusterMob getEntityInstance(Minecraft mc, World world) {
-        FireflyClusterMob cluster = new FireflyClusterMob(world);
+    public MobFireflyCluster getEntityInstance(Minecraft mc, World world) {
+        MobFireflyCluster cluster = new MobFireflyCluster(world);
         cluster.setClusterSize(0);
         return cluster;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityItemEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryItem.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityItemEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryItem.java
index d13ea3380..2b7a55fde 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityItemEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryItem.java
@@ -3,11 +3,11 @@ package net.minecraft.client.gui.modelviewer.categories.entries.entity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
@@ -17,20 +17,20 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityItemEntry extends EntityEntry<ItemEntity>{
+public class EntityEntryItem extends EntityEntry<EntityItem>{
     @Override
-    public void onTick(ItemEntity itemEntity) {
-        itemEntity.age++;
+    public void onTick(EntityItem entityItem) {
+        entityItem.age++;
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, ItemEntity itemEntity) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, EntityItem entityItem) {
         List<ButtonElement> buttonList = new ArrayList<>();
-        itemEntity.item = Blocks.STONE.getDefaultStack();
+        entityItem.item = Blocks.STONE.getDefaultStack();
         TextCycleElement<Integer> itemIdCycle = new TextCycleElement<Integer>(parentScreen, mc.font, - 120, 0, 120, 20, 1) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleItemId(current, offset);
+                return ScreenModelViewer.cycleItemId(current, offset);
             }
 
             @Override
@@ -39,7 +39,7 @@ public class EntityItemEntry extends EntityEntry<ItemEntity>{
                     int id = Integer.parseInt(s);
                     return MathHelper.clamp(id, 0, Item.itemsList.length);
                 } catch (Exception ignored){}
-                return itemEntity.item.itemID;
+                return entityItem.item.itemID;
             }
 
             @Override
@@ -62,7 +62,7 @@ public class EntityItemEntry extends EntityEntry<ItemEntity>{
                     int id = Integer.parseInt(s);
                     return MathHelper.clamp(id, 0, 0x3FFF);
                 } catch (Exception ignored){}
-                return itemEntity.item.getMetadata();
+                return entityItem.item.getMetadata();
             }
 
             @Override
@@ -74,12 +74,12 @@ public class EntityItemEntry extends EntityEntry<ItemEntity>{
         metaCycle.textField.setPlaceholder("Meta");
         ListenerSliderElement sizeSlider = new ListenerSliderElement(-1, - 120, metaCycle.yPosition + 21,120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.item.slider.size", 1), 1/64f);
 
-        itemIdCycle.setOnValueChanged(() -> itemEntity.item = new ItemStack(itemIdCycle.getCurrentElement(), (int) (sizeSlider.sliderValue * 64), metaCycle.getCurrentElement()));
-        metaCycle.setOnValueChanged(() -> itemEntity.item = new ItemStack(itemIdCycle.getCurrentElement(), (int) (sizeSlider.sliderValue * 64), metaCycle.getCurrentElement()));
+        itemIdCycle.setOnValueChanged(() -> entityItem.item = new ItemStack(itemIdCycle.getCurrentElement(), (int) (sizeSlider.sliderValue * 64), metaCycle.getCurrentElement()));
+        metaCycle.setOnValueChanged(() -> entityItem.item = new ItemStack(itemIdCycle.getCurrentElement(), (int) (sizeSlider.sliderValue * 64), metaCycle.getCurrentElement()));
 
         sizeSlider.setOnValueChanged(() -> {
-            itemEntity.item.stackSize = (int) (sizeSlider.sliderValue * 64);
-            sizeSlider.displayString = I18n.getInstance().translateKeyAndFormat("model.category.entity.item.slider.size", itemEntity.item.stackSize);
+            entityItem.item.stackSize = (int) (sizeSlider.sliderValue * 64);
+            sizeSlider.displayString = I18n.getInstance().translateKeyAndFormat("model.category.entity.item.slider.size", entityItem.item.stackSize);
         });
 
         buttonList.add(itemIdCycle);
@@ -89,8 +89,8 @@ public class EntityItemEntry extends EntityEntry<ItemEntity>{
     }
 
     @Override
-    public ItemEntity getEntityInstance(Minecraft mc, World world) {
-        return new ItemEntity(world);
+    public EntityItem getEntityInstance(Minecraft mc, World world) {
+        return new EntityItem(world);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityMinecartEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryMinecart.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityMinecartEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryMinecart.java
index 8668dc062..b5c644bc2 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityMinecartEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryMinecart.java
@@ -12,7 +12,7 @@ import org.lwjgl.input.Keyboard;
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityMinecartEntry extends EntityEntry<MinecartEntity>{
+public class EntityEntryMinecart extends EntityEntry<MinecartEntity>{
     @Override
     public void onTick(MinecartEntity entity) {
 
